function OnInit()

	this:SetVisualProfile("~/shopkeep.xml", "shopkeep");
	this:LoadCollisionInfo("~/shopkeep.col");
	this:SetDensity(1); --//control how hard he is to push.  0 would mean unpushable
	m_speechTimer = 0;
	this:SetCategory(C_CATEGORY_CHARACTER, true);
	this:SetCategory(C_CATEGORY_ENTITY, false);
end

function OnPostInit() --//only run after we're actually pasted in the world
	
	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SendToBrainBase("control_filtery=0");
	this:GetBrainManager():SetStateByName("Idle");
	this:SetFacingTarget(C_FACING_LEFT);
	this:SetCollisionCategory(C_CATEGORY_PLAYER, false);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, true);
	this:SetVisibilityNotifications(true); --//OnGetVisible and OnLoseVisible will get called now
	m_hp = 55;
	this:SetDefaultTalkColor(Color(150,255,255,255));
	
	
end


function OnGetVisible()
end

function OnLoseVisible() --//we left the screen

	--//let this entity function offscreen for a while
	GetWatchManager:Add(this, 1000*5); --//will call OnWatchTimeout(bIsOnScreen) when timed out if it exists
 
end

function OnShopDialogResponse(text, key, dialog) --//dialog is passed as a SpecialEntity)

		if (key == "hi") then
	    
	        local goal = this:GetGoalManager():PushNewGoal("Talk");
			goal:AddSay("Not much.", g_playerID);
	    end

		if (key == "buy") then
		
			--//setup a store menu
			inventory = {};
			AddItem("energy_drink", inventory);
			AddItem("ice_cream", inventory);
			OnStoreBuyMenu(inventory, this, "_first_");
			
		end

end

function OnStoreEnd()

	OpenDialogMenu("buy");

end

function OpenDialogMenu(defaultOption)
	
	if (defaultOption == "_first_") then
		PlayDialogOpenSound();
	end		local msg = "See anything you like?";
	
	entChoice = CreateEntitySpecial("ChoiceDialog", "msg=" .. msg .. 
	";callback=OnShopDialogResponse;title=Shop;entity_id=" .. this:GetID()
	 .. ";selection=" .. defaultOption);
		
		entChoice:Send("add_choice|What's up?|hi");
		entChoice:Send("add_choice|View items for sale|buy");
		entChoice:Send("add_choice|Nevermind|back");
		entChoice:Send("activate");
end

function OnAction(ent)

	OpenDialogMenu("_first_");

end


function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)

	 
  
return;
end

