function OnInit()

	this:SetVisualProfile("~/witch.xml", "witch");
	this:LoadCollisionInfo("~/witch.col");
	this:SetDensity(0.3);
	m_speechTimer = 0;
	--this:SetCategory(C_CATEGORY_CHARACTER, true);
	--this:SetCategory(C_CATEGORY_ENTITY, false);
	bInitted = false;
	m_followID = C_ENTITY_NONE;
	m_walkSpeed = 5;
	this:SetDesiredSpeed(m_walkSpeed);
end

function OnPostInit()
	
	--this:GetBrainManager():Add("StandardBase","");
	--this:GetBrainManager():SendToBrainBase("control_filtery=0");
	--this:GetBrainManager():SetStateByName("Idle");
	ActivateIfNeeded();
	this:SetFacingTarget(C_FACING_LEFT);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, true);
	m_hp = 255;
	this:SetDefaultTalkColor(Color(255,16,16,255));
	--StalkIfNeeded();
	
	
end

function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)

	 
  
return;
end

function OnDamage(normal, depth, enemy, damage, userVar, projectile)

end

function ActivateIfNeeded()

	//insure this entity will keep moving even if this was called while it was offscreen
	GetWatchManager:Add(this, 2000*40);
 
	if (bInitted) then return; end;
	
	bInitted = true; //don't run this again	

	m_speechTimer = 0;
		
	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SendToBrainBase("control_filtery=0");
	
	if (GameIsActive() == false) then
		//no profile is active, so we must be in the editor.  Let's not have them running around
		this:GetBrainManager():SetStateByName("Frozen");
		return;
	end
	
	this:GetBrainManager():SetStateByName("Idle");
	
end

function StalkIfNeeded()

--this:GetGoalManager():RemoveAllSubgoals();

if (m_followID != C_ENTITY_NONE) then

	

	this:GetGoalManager():AddApproach(m_followID, C_DISTANCE_TALK);

end

--this:GetGoalManager():AddRunScriptString("StalkIfNeeded();");

end

function OnAction(enemy)

	m_followID =  g_playerID;
	StalkIfNeeded();
   
end
