Schedule(2, C_ENTITY_NONE, "DoScene()");

function DoScene()
	local goal = GetPlayer:GetGoalManager():PushNewGoal("WitchCutscene1");
	--goal:AddMoveToPosition(GetPlayer:GetPos()+Vector2(128,0));
	goal:AddApproach(GetEntityIDByName("target_PlayerB1"), 0);
	
	goal:AddSay("Now what..", C_FACING_NONE);
    goal:AddDelay(C_TIME_FOREVER);
	
	local gate1 = GetEntityByName("Boss1Gate1");
	
	gate1:RunFunction("CloseSesame");
	
	local ent = GetEntityByName("WitchLvl1");
	
	local witchreturn = ent:GetPos();
	
	ent:RunFunction("ActivateIfNeeded");
	local entGoal = ent:GetGoalManager():PushNewGoal("Talk");
	entGoal:AddDelay(400);
	--entGoal:AddApproachAndSay("Good evening.", g_playerID, 448);
	entGoal:AddApproachAndSay("Good evening.", GetEntityIDByName("target_WitchB1"), 0);
	
	entGoal:AddSayByID("Umm, hi.", g_playerID, ent:GetID());
	entGoal:AddSayByID("The front door was unlocked, I hope you don't mind..", g_playerID, ent:GetID());
	entGoal:AddSayByID("Don't worry. We've been expecting you.", ent:GetID(), g_playerID);
	entGoal:AddSayByID("Huh?", g_playerID, ent:GetID());
	entGoal:AddSayByID("My car just broke down, I shouldn't even be here!", g_playerID, ent:GetID());
	entGoal:AddSayByID("This was unforeseen, but it will expedite our plans.", ent:GetID(), g_playerID);
	entGoal:AddSayByID("...", g_playerID, ent:GetID());
	entGoal:AddSayByID("It's almost too bad that we had already taken your little sister to lure you here.", ent:GetID(), g_playerID);
	entGoal:AddSayByID("You what?! I'll kill you!", g_playerID, ent:GetID());
	entGoal:AddSayByID("Maybe later. I'm not quite sure if you're up to such a task just yet..", ent:GetID(), g_playerID);
	entGoal:AddSayByID("You want to test me?! Bring it!", g_playerID, ent:GetID());
	entGoal:AddSayByID("Test you? That sounds like a wonderful idea.", ent:GetID(), g_playerID);

	entGoal:AddRunScriptString("MakeBoss1()");
	
	entGoal:AddSayByID("I'll be waiting for you in the keep.", ent:GetID(), g_playerID);
	entGoal:AddSayByID("If you survive that long.", ent:GetID(), g_playerID);
	
	entGoal:AddMoveToPosition(witchreturn);
	
	entGoal:AddRunScriptString("GetEntityByName('WitchLvl1'):RunFunction('ActivateIfNeeded');");
	
	entGoal:AddRunScriptString("CloseGate2()");
	

	entGoal:AddRunScriptString("GetEntityByName('BossOne'):GetGoalManager():GetGoalByName('WaitForever'):Kill();");
	entGoal:AddRunScriptString("GetPlayer:GetGoalManager():GetGoalByName('WitchCutscene1'):Kill();");
	entGoal:AddRunScriptString("GetEntityByName('WitchLvl1'):GetBrainManager():Add('FadeOutAndDelete','');");	
	

end
	
function CloseGate2()

	local gate2 = GetEntityByName("Boss1Gate2");
	gate2:RunFunction("CloseSesame");

end

function MakeBoss1()

	local Skele = GetEntityByName("BossOne");
	
	Skele:RunFunction("ActivateIfNeeded");
	local entSkele = Skele:GetGoalManager():PushNewGoal("WaitForever");
	entSkele:AddDelay(C_TIME_FOREVER);

end
