function OnInit()

	this:SetVisualProfile("~/priest.xml", "priest");
	this:LoadCollisionInfo("~/priest.col");
	this:SetDensity(1);
	m_speechTimer = 0;
	this:SetCategory(C_CATEGORY_CHARACTER, true);
	this:SetCategory(C_CATEGORY_ENTITY, false);
	this:SetDesiredSpeed(4);
end

function OnPostInit()
	
	this:GetBrainManager():Add("StandardBase","");
	this:GetBrainManager():SendToBrainBase("control_filtery=0");
	this:GetBrainManager():SetStateByName("Idle");
	this:SetFacingTarget(C_FACING_LEFT);
	this:SetCollisionCategory(C_CATEGORY_PLAYER, false);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, true);
	this:SetVisibilityNotifications(true);
	m_hp = 55;
	this:SetDefaultTalkColor(Color(255,255,255,255));	
	
end

function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)
  
return;
end

function OnGetVisible()

	ThinkOfSomethingToDo();

end

function OnLoseVisible()
	GetWatchManager:Add(this, 1000*5);
end

function ThinkOfSomethingToDo()
		
		this:GetGoalManager():RemoveAllSubgoals();
		local newgoal = this:GetGoalManager():PushNewGoal("BaseThink");
	   
		newgoal:PushRunScriptString('ThinkOfSomethingToDo();'); 	    
	    newgoal:PushDelay(1000);
	    newgoal = this:GetGoalManager():PushNewGoal("Roam");
	    CheckWindows(newgoal, "ChurchNode" .. math.random(5));

end

function CheckWindows(goal, name)

       goal:AddApproach(GetEntityIDByName(name), C_DISTANCE_TALK);   

end

function OnPriestDialogResponse(text, key, dialog) --//dialog is passed as a SpecialEntity)

		if (key == "hi") then
	    
	        local goal = this:GetGoalManager():PushNewGoal("Talk");
			goal:AddSay("k.", g_playerID);
			GetPlayer:RunFunction("OnRecharge", 100);
	    end

		

end



function OpenDialogMenu(defaultOption)
	
	if (defaultOption == "_first_") then
		PlayDialogOpenSound();
	end
	
	local msg = "The end is near!";
	
	entChoice = CreateEntitySpecial("ChoiceDialog", "msg=" .. msg .. 
	";callback=OnPriestDialogResponse;title=Church;entity_id=" .. this:GetID()
	 .. ";selection=" .. defaultOption);
		
		entChoice:Send("add_choice|I can has energy?|hi");
		
		entChoice:Send("add_choice|Nevermind|back");
		entChoice:Send("activate");
end

function OnAction(ent)

	OpenDialogMenu("_first_");

end
