function OnInit()
	this:SetVisualProfile("~/x-armor.xml", "x-armor-icon");
	this:LoadCollisionInfo("");
	this:Data():SetIfNull("HasSpawned", "false");
	this:Data():SetIfNull("Flavor", "axe-armor");
	xfacing = this:Data():GetNumWithDefault("Facing", 0);
	xflavor = this:Data():Get("Flavor");
	
end

function OnPostInit()

	this:SetDensity(0);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, false);
	this:SetCollisionCategories(C_CATEGORIES_NONE);

	
end

function OnMapInsert()

	if (GameIsActive()) then
		entArm = this:CreateEntity(this:GetMap(), this:GetPos(), "~/"..xflavor..".lua");
		entArm:RunFunction("SetParent", this, xfacing);
		AddEnemy(this:GetID(), this:GetMap():GetName());
		this:Data():Set("HasSpawned", "true");
	end	

end

function REspawn()

	if (toboolean(this:Data():Get("HasSpawned")) == false and GameIsActive()) then
		entArm = this:CreateEntity(this:GetMap(), this:GetPos(), "~/"..xflavor..".lua");
		entArm:RunFunction("SetParent", this, xfacing);
		this:Data():Set("HasSpawned", "true");
		--LogMsg("bat"..this:GetID().." should have respawned.");
	end

end


function OnKill()

end