function OnInit()
	
	this:SetVisualProfile("~/x-armor.xml", "flying_axe");
	this:LoadCollisionInfo("~/flyingaxe.col");
	this:SetPersistent(false);
	this:SetDensity(1);
	this:SetCollisionCategories(C_CATEGORIES_NONE);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, true);
	this:SetEnableRotationPhysics(true);
	m_canHit = false;
	
end

function OnPostInit()

	Schedule(2000, this:GetID(), "this:SetDeleteFlag(true);");

end

function SetParent(parent)
	m_parent = parent;
	this:SetFacing(parent:GetFacing());
	Schedule(1, this:GetID(), "m_canHit = true;");
	
	local vForce = this:GetVectorFacing() * (random(6) +1);
	LogMsg("Adding ", vForce);
	this:AddForce(vForce);
	this:AddForce(Vector2(0, -10));
	--this:AddForceAndTorque(Vector2(0, -10), Vector2(10, -10));
	this:SetRunUpdateEveryFrame(true);
end

function Update(step)

this:SetRotation(this:GetRotation() + 0.1);

end



function OnCollision(vPosition, vVelocity, vNormal, depth, materialID, entity, state)

	if (m_canHit == false or entity == nil) then
	  return;
	end
	
	if (entity:GetID() == m_parent:GetID()) then
		
	else
		
  		entity:RunFunctionIfExists("OnDamage", vNormal, depth, m_parent, 10, 0, this);
	end
	
		Schedule(1, this:GetID(), "m_canHit = false;");

	return;

end

function OnDamage(normal, depth, enemy, damage, userVar, projectile)

	Schedule(1, this:GetID(), "m_canHit = false;");
	this:GetBrainManager():Add("FadeOutAndDelete", "fade_speed_ms=100");

end



