function OnInit()
	this:SetVisualProfile("~/bat.xml", "baticon");
	this:LoadCollisionInfo("~/baticon.col");
	this:Data():SetIfNull("DeleteAfterRun", "false");
	this:Data():SetIfNull("BatHasSpawned", "false");	
	
end

function OnPostInit()

	this:SetDensity(0);
	this:SetCollisionListenCategory(C_CATEGORY_PLAYER, false);
	this:SetCollisionCategories(C_CATEGORIES_NONE);	
	
end

function OnMapInsert()

	if (GameIsActive()) then
		entBat = this:CreateEntity(this:GetMap(), this:GetPos(), "~/bat.lua");
		entBat:RunFunction("SetParent", this);
		AddEnemy(this:GetID(), this:GetMap():GetName());
		this:Data():Set("BatHasSpawned", "true");
	end	

end

function REspawn()

	if (toboolean(this:Data():Get("BatHasSpawned")) == false and GameIsActive()) then
		entBat = this:CreateEntity(this:GetMap(), this:GetPos(), "~/bat.lua");
		entBat:RunFunction("SetParent", this);
		this:Data():Set("BatHasSpawned", "true");
		--LogMsg("bat"..this:GetID().." should have respawned.");
	end

end


function OnKill()

end
