RunScript("gui/item_menu.lua");

--//when escape is hit, it brings up the players menu.

function OnMainMenu()
	
	
	entChoice = CreateEntitySpecial("ChoiceDialog", "callback=OnPlayerMenuResponse;title=Main Menu");
	
	--//get the table of player items
	local playerInventory = GetPlayer:RunFunction("GetInventory");
	
	--//the # in front of a table returns its item count, it's a lua thing
	entChoice:Send("add_choice|Inventory (" .. #playerInventory .. ")|inventory");
	entChoice:Send("add_choice|Quit and save|quit_and_save");
	entChoice:Send("add_choice|Back|return");

	entChoice:Send("activate");
	
	return false; --//don't process any other callbacks for this keypress
end

function OnPlayerMenuResponse(text, key, dialog) --//dialog is passed as a SpecialEntity

	if (key == "quit_and_save") then
			return DefaultEscapeHandler(); --//really let them quit
		end;
		
		if (key == "inventory") then
			return OnItemCatMenu("_first_"); --//in item_menu.lua
		end

end

function OnItemCatMenu(defaultOption)

	entChoice = CreateEntitySpecial("ChoiceDialog", "callback=OnItemCatMenuResponse;title=Inventory");
	
	entChoice:Send("add_choice|Weapons|weapons");
	entChoice:Send("add_choice|Magic|magic");
	entChoice:Send("add_choice|Items|items");
	
	entChoice:Send("add_choice|Back|back");

	entChoice:Send("activate");
	
	return false; --//don't process any other callbacks for this keypress

end

function OnItemCatMenuResponse(text, key, dialog) --//dialog is passed as a SpecialEntity

		
		if (key == "weapons" or key == "magic" or key == "items") then
			return OnItemMenu("_first_", key); --//in item_menu.lua
		end
		
		if (key == "back" or key == "_escape_") then
			return OnMainMenu(); --//in item_menu.lua
		end

end
